#include "CS_FishFeed.h"

CS_FishFeed::CS_FishFeed()
{
	ani.png = L"CS_CaveStoryMod";
	ani.sprite_index = L"ls_fishfeed";
}

void CS_FishFeed::SetState(int stateID, int lr)
{
	this->lr = lr;
	ani.image_index = lr == 0 ? 0 : 1;
}

std::shared_ptr<Entity> CreateCS_FishFeed()
{
	return std::make_shared<CS_FishFeed>();
}
